Index: src/builder.cpp
===================================================================
--- src/builder.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/builder.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -2279,5 +2311,5 @@
               if ((argptr+1 >= argc) || (argv[argptr][0] == '-') || (!IsValidNumber(argv[argptr])) || (!IsValidNumber(argv[argptr+1])) ) {
                 ExitFlag = 255;
-                eLog() << Verbose(0) << "Not enough or invalid arguments given for suspension with specified volume: -U <volume> <density>" << endl;
+                DoeLog(0) && (eLog()<< Verbose(0) << "Not enough or invalid arguments given for suspension with specified volume: -U <volume> <density>" << endl);
                 performCriticalExit();
               } else {
@@ -2290,5 +2322,5 @@
                 if (volume != -1)
                   ExitFlag = 255;
-                  eLog() << Verbose(0) << "Not enough or invalid arguments given for suspension: -u <density>" << endl;
+                  DoeLog(0) && (eLog()<< Verbose(0) << "Not enough or invalid arguments given for suspension: -u <density>" << endl);
                   performCriticalExit();
               } else {
@@ -2298,5 +2330,5 @@
                 density = atof(argv[argptr++]);
                 if (density < 1.0) {
-                  eLog() << Verbose(1) << "Density must be greater than 1.0g/cm^3 !" << endl;
+                  DoeLog(1) && (eLog()<< Verbose(1) << "Density must be greater than 1.0g/cm^3 !" << endl);
                   density = 1.3;
                 }
@@ -2304,5 +2336,5 @@
 //                  repetition[i] = atoi(argv[argptr++]);
 //                  if (repetition[i] < 1)
-//                    eLog() << Verbose(1) << "repetition value must be greater 1!" << endl;
+//                    DoeLog(1) && (eLog()<< Verbose(1) << "repetition value must be greater 1!" << endl);
 //                  repetition[i] = 1;
 //                }
@@ -2314,5 +2346,5 @@
               if ((argptr+2 >= argc) || (argv[argptr][0] == '-') || (!IsValidNumber(argv[argptr])) || (!IsValidNumber(argv[argptr+1])) || (!IsValidNumber(argv[argptr+2])) ) {
                 ExitFlag = 255;
-                eLog() << Verbose(0) << "Not enough or invalid arguments given for repeating cells: -d <repeat_x> <repeat_y> <repeat_z>" << endl;
+                DoeLog(0) && (eLog()<< Verbose(0) << "Not enough or invalid arguments given for repeating cells: -d <repeat_x> <repeat_y> <repeat_z>" << endl);
                 performCriticalExit();
               } else {
@@ -2325,5 +2357,5 @@
                   Vector ** vectors;
                   if (faktor < 1) {
-                    eLog() << Verbose(1) << "Repetition factor mus be greater than 1!" << endl;
+                    DoeLog(1) && (eLog()<< Verbose(1) << "Repetition factor mus be greater than 1!" << endl);
                     faktor = 1;
                   }
@@ -2342,5 +2374,5 @@
                     }
                     if (count != j)
-                      eLog() << Verbose(1) << "AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl;
+                      DoeLog(1) && (eLog()<< Verbose(1) << "AtomCount " << count << " is not equal to number of atoms in molecule " << j << "!" << endl);
                     x.Zero();
                     y.Zero();
@@ -2409,4 +2441,7 @@
   cout << ESPACKVersion << endl;
 
+  Log() << Verbose(1) << "test" << endl;
+  DoLog(3) && (Log() << Verbose(1) << "test");
+
   setVerbosity(0);
 
Index: src/config.cpp
===================================================================
--- src/config.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/config.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -74,5 +74,5 @@
   file= new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file " << filename << " missing!" << endl);
     return;
   }
@@ -89,5 +89,5 @@
   // allocate buffer's 1st dimension
   if (buffer != NULL) {
-    eLog() << Verbose(1) << "FileBuffer->buffer is not NULL!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "FileBuffer->buffer is not NULL!" << endl);
     return;
   } else
@@ -144,5 +144,5 @@
   map<const char *, int, IonTypeCompare> IonTypeLineMap;
   if (LineMapping == NULL) {
-    eLog() << Verbose(0) << "map pointer is NULL: " << LineMapping << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "map pointer is NULL: " << LineMapping << endl);
     performCriticalExit();
     return;
@@ -160,5 +160,5 @@
       LineMapping[CurrentLine+(nr++)] = runner->second;
     else {
-      eLog() << Verbose(0) << "config::MapIonTypesInBuffer - NoAtoms is wrong: We are past the end of the file!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "config::MapIonTypesInBuffer - NoAtoms is wrong: We are past the end of the file!" << endl);
       performCriticalExit();
     }
@@ -659,5 +659,5 @@
 {
   if (FileBuffer != NULL) {
-    eLog() << Verbose(2) << "deleting present FileBuffer in PrepareFileBuffer()." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "deleting present FileBuffer in PrepareFileBuffer()." << endl);
     delete(FileBuffer);
   }
@@ -685,5 +685,5 @@
 
   if (mol == NULL) {
-    eLog() << Verbose(0) << "Molecule is not allocated in LoadMolecule(), exit.";
+    DoeLog(0) && (eLog()<< Verbose(0) << "Molecule is not allocated in LoadMolecule(), exit.");
     performCriticalExit();
   }
@@ -691,5 +691,5 @@
   ParseForParameter(verbose,FileBuffer,"MaxTypes", 0, 1, 1, int_type, &(MaxTypes), 1, critical);
   if (MaxTypes == 0) {
-    eLog() << Verbose(1) << "There are no atoms according to MaxTypes in this config file." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There are no atoms according to MaxTypes in this config file." << endl);
     //performCriticalExit();
   } else {
@@ -710,5 +710,5 @@
     sprintf(name,"Ion_Type%i",MaxTypes);
     if (!ParseForParameter(verbose,FileBuffer, (const char*)name, 1, 1, 1, int_type, &value[0], 1, critical)) {
-      eLog() << Verbose(0) << "There are no atoms in the config file!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "There are no atoms in the config file!" << endl);
       performCriticalExit();
       return;
@@ -855,5 +855,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file " << filename << " missing!" << endl);
     return;
   }
@@ -1065,5 +1065,5 @@
       Log() << Verbose(0) << "Bond length table loaded successfully." << endl;
     } else {
-      eLog() << Verbose(1) << "Bond length table loading failed." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Bond length table loading failed." << endl);
     }
   }
@@ -1094,5 +1094,5 @@
   ifstream *file = new ifstream(filename);
   if (file == NULL) {
-    eLog() << Verbose(1) << "config file " << filename << " missing!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "config file " << filename << " missing!" << endl);
     return;
   }
@@ -1433,5 +1433,5 @@
     return result;
   } else {
-    eLog() << Verbose(1) << "Cannot open output file:" << filename << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open output file:" << filename << endl);
     return false;
   }
@@ -1455,5 +1455,5 @@
     output = new ofstream(fname->str().c_str(), ios::out);
     if (output == NULL) {
-      eLog() << Verbose(1) << "Cannot open mpqc output file:" << fname << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc output file:" << fname << endl);
       delete(fname);
       return false;
@@ -1498,5 +1498,5 @@
     output = new ofstream(fname->str().c_str(), ios::out);
     if (output == NULL) {
-      eLog() << Verbose(1) << "Cannot open mpqc hessian output file:" << fname << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open mpqc hessian output file:" << fname << endl);
       delete(fname);
       return false;
@@ -1554,5 +1554,5 @@
   f = fopen(name, "w" );
   if (f == NULL) {
-    eLog() << Verbose(1) << "Cannot open pdb output file:" << name << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open pdb output file:" << name << endl);
     return false;
   }
@@ -1609,5 +1609,5 @@
   f = fopen(name, "w" );
   if (f == NULL) {
-    eLog() << Verbose(1) << "Cannot open pdb output file:" << name << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open pdb output file:" << name << endl);
     Free(&elementNo);
     return false;
@@ -1659,5 +1659,5 @@
   output = new ofstream(fname->str().c_str(), ios::out);
   if (output == NULL) {
-    eLog() << Verbose(1) << "Cannot open tremolo output file:" << fname << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open tremolo output file:" << fname << endl);
     delete(fname);
     return false;
@@ -1714,5 +1714,5 @@
   output = new ofstream(fname->str().c_str(), ios::out);
   if (output == NULL) {
-    eLog() << Verbose(1) << "Cannot open tremolo output file:" << fname << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot open tremolo output file:" << fname << endl);
     delete(fname);
     return false;
Index: src/ellipsoid.cpp
===================================================================
--- src/ellipsoid.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/ellipsoid.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -241,5 +241,5 @@
     x = new Vector[PointsToPick];
   } else {
-    eLog() << Verbose(2) << "Given pointer to vector array seems already allocated." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Given pointer to vector array seems already allocated." << endl);
   }
 
@@ -341,5 +341,5 @@
     x = new Vector[PointsToPick];
   } else {
-    eLog() << Verbose(2) << "Given pointer to vector array seems already allocated." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Given pointer to vector array seems already allocated." << endl);
   }
 
Index: src/helpers.hpp
===================================================================
--- src/helpers.hpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/helpers.hpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -134,5 +134,5 @@
   LookupTable = Calloc<T*>(count, "CreateFatherLookupTable - **LookupTable");
   if (LookupTable == NULL) {
-    eLog() << Verbose(0) << "LookupTable memory allocation failed!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "LookupTable memory allocation failed!" << endl);
     performCriticalExit();
     status = false;
Index: src/linkedcell.cpp
===================================================================
--- src/linkedcell.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/linkedcell.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -47,5 +47,5 @@
   Log() << Verbose(1) << "Begin of LinkedCell" << endl;
   if ((set == NULL) || (set->IsEmpty())) {
-    eLog() << Verbose(1) << "set is NULL or contains no linked cell nodes!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "set is NULL or contains no linked cell nodes!" << endl);
     return;
   }
@@ -79,5 +79,5 @@
   Log() << Verbose(2) << "Allocating cells ... ";
   if (LC != NULL) {
-    eLog() << Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl);
     return;
   }
@@ -122,5 +122,5 @@
   Log() << Verbose(1) << "Begin of LinkedCell" << endl;
   if (set->empty()) {
-    eLog() << Verbose(1) << "set contains no linked cell nodes!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "set contains no linked cell nodes!" << endl);
     return;
   }
@@ -151,5 +151,5 @@
   Log() << Verbose(2) << "Allocating cells ... ";
   if (LC != NULL) {
-    eLog() << Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Linked Cell list is already allocated, I do nothing." << endl);
     return;
   }
@@ -199,5 +199,5 @@
     status = status && ((n[i] >=0) && (n[i] < N[i]));
   if (!status)
-  eLog() << Verbose(1) << "indices are out of bounds!" << endl;
+  DoeLog(1) && (eLog()<< Verbose(1) << "indices are out of bounds!" << endl);
   return status;
 };
@@ -260,5 +260,5 @@
     return status;
   } else {
-    eLog() << Verbose(1) << "Node at " << *Walker << " is out of bounds." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Node at " << *Walker << " is out of bounds." << endl);
     return false;
   }
Index: src/log.cpp
===================================================================
--- src/log.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/log.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -28,4 +28,26 @@
 }
 
+/** Checks verbosity for logger.
+ * Is supposed to be used in construct as this:
+ * DoLog(2) && (Log() << Verbose(2) << "message." << endl);
+ * If DoLog does not return true, the right-hand side is not evaluated and we save some time.
+ * \param verbose verbosity level of this message
+ * \return true - print, false - don't
+ */
+bool DoLog(int verbose) {
+  return verbose <= logger::getInstance()->verbosity;
+}
+
+/** Checks verbosity for errorlogger.
+ * Is supposed to be used in construct as this:
+ * DoLog(2) && (Log() << Verbose(2) << "message." << endl);
+ * If DoLog does not return true, the right-hand side is not evaluated and we save some time.
+ * \param verbose verbosity level of this message
+ * \return true - print, false - don't
+ */
+bool DoeLog(int verbose) {
+  return verbose <= errorLogger::getInstance()->verbosity;
+}
+
 /**
  * Prints an error log entry.
Index: src/log.hpp
===================================================================
--- src/log.hpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/log.hpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -15,4 +15,6 @@
 class errorLogger * eLog();
 void setVerbosity(int verbosityLevel);
+bool DoLog(int verbose);
+bool DoeLog(int verbose);
 
 #endif /* LOG_HPP_ */
Index: src/molecule.cpp
===================================================================
--- src/molecule.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/molecule.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -194,5 +194,5 @@
   BondRescale = TopOrigin->type->HBondDistance[TopBond->BondDegree-1];
   if (BondRescale == -1) {
-    eLog() << Verbose(1) << "There is no typical hydrogen bond distance in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no typical hydrogen bond distance in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl);
     return false;
     BondRescale = bondlength;
@@ -237,5 +237,5 @@
             SecondOtherAtom = (*Runner)->GetOtherAtom(TopOrigin);
           } else {
-            eLog() << Verbose(2) << "Detected more than four bonds for atom " << TopOrigin->Name;
+            DoeLog(2) && (eLog()<< Verbose(2) << "Detected more than four bonds for atom " << TopOrigin->Name);
           }
         }
@@ -274,5 +274,5 @@
       bondangle = TopOrigin->type->HBondAngle[1];
       if (bondangle == -1) {
-        eLog() << Verbose(1) << "There is no typical hydrogen bond angle in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl;
+        DoeLog(1) && (eLog()<< Verbose(1) << "There is no typical hydrogen bond angle in replacing bond (" << TopOrigin->Name << "<->" << TopReplacement->Name << ") of degree " << TopBond->BondDegree << "!" << endl);
         return false;
         bondangle = 0;
@@ -396,5 +396,5 @@
       break;
     default:
-      eLog() << Verbose(1) << "BondDegree does not state single, double or triple bond!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "BondDegree does not state single, double or triple bond!" << endl);
       AllWentWell = false;
       break;
@@ -447,5 +447,5 @@
     Walker->type = elemente->FindElement(shorthand);
     if (Walker->type == NULL) {
-      eLog() << Verbose(1) << "Could not parse the element at line: '" << line << "', setting to H.";
+      DoeLog(1) && (eLog()<< Verbose(1) << "Could not parse the element at line: '" << line << "', setting to H.");
       Walker->type = elemente->FindElement(1);
     }
@@ -543,5 +543,5 @@
     add(Binder, last);
   } else {
-    eLog() << Verbose(1) << "Could not add bond between " << atom1->Name << " and " << atom2->Name << " as one or both are not present in the molecule." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Could not add bond between " << atom1->Name << " and " << atom2->Name << " as one or both are not present in the molecule." << endl);
   }
   return Binder;
@@ -555,5 +555,5 @@
 bool molecule::RemoveBond(bond *pointer)
 {
-  //eLog() << Verbose(1) << "molecule::RemoveBond: Function not implemented yet." << endl;
+  //DoeLog(1) && (eLog()<< Verbose(1) << "molecule::RemoveBond: Function not implemented yet." << endl);
   pointer->leftatom->RegisterBond(pointer);
   pointer->rightatom->RegisterBond(pointer);
@@ -569,5 +569,5 @@
 bool molecule::RemoveBonds(atom *BondPartner)
 {
-  //eLog() << Verbose(1) << "molecule::RemoveBond: Function not implemented yet." << endl;
+  //DoeLog(1) && (eLog()<< Verbose(1) << "molecule::RemoveBond: Function not implemented yet." << endl);
   BondList::const_iterator ForeRunner;
   while (!BondPartner->ListOfBonds.empty()) {
@@ -622,5 +622,5 @@
     AtomCount--;
   } else
-    eLog() << Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl);
   if (ElementsInMolecule[pointer->type->Z] == 0)  // was last atom of this element?
     ElementCount--;
@@ -640,5 +640,5 @@
     ElementsInMolecule[pointer->type->Z]--; // decrease number of atom of this element
   else
-    eLog() << Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Atom " << pointer->Name << " is of element " << pointer->type->Z << " but the entry in the table of the molecule is 0!" << endl);
   if (ElementsInMolecule[pointer->type->Z] == 0)  // was last atom of this element?
     ElementCount--;
Index: src/molecule_dynamics.cpp
===================================================================
--- src/molecule_dynamics.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/molecule_dynamics.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -306,5 +306,5 @@
   for (int i=mol->AtomCount; i--;) // now each single entry in the DoubleList should be <=1
     if (Params.DoubleList[i] > 1) {
-      eLog() << Verbose(0) << "Failed to create an injective PermutationMap!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Failed to create an injective PermutationMap!" << endl);
       performCriticalExit();
     }
@@ -428,10 +428,10 @@
             }
             if (Potential > Params.PenaltyConstants[2]) {
-              eLog() << Verbose(1) << "The two-step permutation procedure did not maintain injectivity!" << endl;
+              DoeLog(1) && (eLog()<< Verbose(1) << "The two-step permutation procedure did not maintain injectivity!" << endl);
               exit(255);
             }
             //Log() << Verbose(0) << endl;
           } else {
-            eLog() << Verbose(1) << *Runner << " was not the owner of " << *Sprinter << "!" << endl;
+            DoeLog(1) && (eLog()<< Verbose(1) << *Runner << " was not the owner of " << *Sprinter << "!" << endl);
             exit(255);
           }
@@ -568,10 +568,10 @@
     // parse file into ForceMatrix
     if (!Force.ParseMatrix(file, 0,0,0)) {
-      eLog() << Verbose(0) << "Could not parse Force Matrix file " << file << "." << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Could not parse Force Matrix file " << file << "." << endl);
       performCriticalExit();
       return false;
     }
     if (Force.RowCounter[0] != AtomCount) {
-      eLog() << Verbose(0) << "Mismatch between number of atoms in file " << Force.RowCounter[0] << " and in molecule " << AtomCount << "." << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Mismatch between number of atoms in file " << Force.RowCounter[0] << " and in molecule " << AtomCount << "." << endl);
       performCriticalExit();
       return false;
Index: src/molecule_fragmentation.cpp
===================================================================
--- src/molecule_fragmentation.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/molecule_fragmentation.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -113,5 +113,5 @@
         testGraphInsert = FragmentList->insert(GraphPair (CurrentSet,pair<int,double>(NumberOfFragments++,1)));  // store fragment number and current factor
         if (!testGraphInsert.second) {
-          eLog() << Verbose(0) << "KeySet file must be corrupt as there are two equal key sets therein!" << endl;
+          DoeLog(0) && (eLog()<< Verbose(0) << "KeySet file must be corrupt as there are two equal key sets therein!" << endl);
           performCriticalExit();
         }
@@ -214,5 +214,5 @@
     Log() << Verbose(0) << "done." << endl;
   } else {
-    eLog() << Verbose(0) << "Unable to open " << line << " for writing keysets!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "Unable to open " << line << " for writing keysets!" << endl);
     performCriticalExit();
     status = false;
@@ -372,5 +372,5 @@
       }
     } else {
-      eLog() << Verbose(0) << "Atom No. " << (*runner).second.first << " was not found in this molecule." << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Atom No. " << (*runner).second.first << " was not found in this molecule." << endl);
       performCriticalExit();
     }
@@ -447,5 +447,5 @@
     // transmorph graph keyset list into indexed KeySetList
     if (GlobalKeySetList == NULL) {
-      eLog() << Verbose(1) << "Given global key set list (graph) is NULL!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Given global key set list (graph) is NULL!" << endl);
       return false;
     }
@@ -455,5 +455,5 @@
     map<int, pair<double,int> > *AdaptiveCriteriaList = ScanAdaptiveFileIntoMap(path, *IndexKeySetList); // (Root No., (Value, Order)) !
     if (AdaptiveCriteriaList->empty()) {
-      eLog() << Verbose(2) << "Unable to parse file, incrementing all." << endl;
+      DoeLog(2) && (eLog()<< Verbose(2) << "Unable to parse file, incrementing all." << endl);
       while (Walker->next != end) {
         Walker = Walker->next;
@@ -644,5 +644,5 @@
         MolecularWalker->Leaf->FragmentBOSSANOVA(FragmentList[FragmentCounter], RootStack[FragmentCounter], MinimumRingSize);
       } else {
-        eLog() << Verbose(1) << "Subgraph " << MolecularWalker << " has no atoms!" << endl;
+        DoeLog(1) && (eLog()<< Verbose(1) << "Subgraph " << MolecularWalker << " has no atoms!" << endl);
       }
       FragmentCounter++;  // next fragment list
@@ -902,5 +902,5 @@
       }
     } else {
-      eLog() << Verbose(1) << "Son " << Runner->Name << " has father " << FatherOfRunner->Name << " but its entry in SonList is " << SonList[FatherOfRunner->nr] << "!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Son " << Runner->Name << " has father " << FatherOfRunner->Name << " but its entry in SonList is " << SonList[FatherOfRunner->nr] << "!" << endl);
     }
     if ((LonelyFlag) && (Leaf->AtomCount > 1)) {
@@ -1137,5 +1137,5 @@
         Log() << Verbose(0) << endl;
         //if (!CheckForConnectedSubgraph(FragmentSearch->FragmentSet))
-          //eLog() << Verbose(1) << "The found fragment is not a connected subgraph!" << endl;
+          //DoeLog(1) && (eLog()<< Verbose(1) << "The found fragment is not a connected subgraph!" << endl);
         InsertFragmentIntoGraph(FragmentSearch);
       }
Index: src/molecule_graph.cpp
===================================================================
--- src/molecule_graph.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/molecule_graph.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -931,9 +931,9 @@
     }
     if (i == vertex->ListOfBonds.size()) {
-      eLog() << Verbose(0) << "Error: All Component entries are already occupied!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Error: All Component entries are already occupied!" << endl);
       performCriticalExit();
     }
   } else {
-    eLog() << Verbose(0) << "Error: Given vertex is NULL!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "Error: Given vertex is NULL!" << endl);
     performCriticalExit();
   }
Index: src/moleculelist.cpp
===================================================================
--- src/moleculelist.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/moleculelist.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -314,5 +314,5 @@
   Tesselation *TesselStruct = NULL;
   if ((srcmol == NULL) || (mol == NULL)) {
-    eLog() << Verbose(1) << "Either fixed or variable molecule is given as NULL." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Either fixed or variable molecule is given as NULL." << endl);
     return false;
   }
@@ -322,5 +322,5 @@
   FindNonConvexBorder(mol, TesselStruct, (const LinkedCell *&)LCList, 4., NULL);
   if (TesselStruct == NULL) {
-    eLog() << Verbose(1) << "Could not tesselate the fixed molecule." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Could not tesselate the fixed molecule." << endl);
     return false;
   }
@@ -443,5 +443,5 @@
     input.open(line.c_str());
     if (input == NULL) {
-      eLog() << Verbose(0) << endl << "Unable to open " << line << ", is the directory correct?" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << endl << "Unable to open " << line << ", is the directory correct?" << endl);
       performCriticalExit();
       return false;
@@ -652,5 +652,5 @@
       strcpy(PathBackup, path);
     else {
-      eLog() << Verbose(0) << "OutputConfigForListOfFragments: NULL default path obtained from config!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "OutputConfigForListOfFragments: NULL default path obtained from config!" << endl);
       performCriticalExit();
     }
@@ -788,5 +788,5 @@
   if (!configuration->BG->ConstructBondGraph(mol)) {
     delete (mol);
-    eLog() << Verbose(1) << "There are no bonds." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There are no bonds." << endl);
     return;
   }
@@ -799,5 +799,5 @@
   if ((Subgraphs == NULL) || (Subgraphs->next == NULL)) {
     delete (mol);
-    eLog() << Verbose(1) << "There are no atoms." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There are no atoms." << endl);
     return;
   }
@@ -843,5 +843,5 @@
     Walker = mol->start->next;
     if ((Walker->nr <0) || (Walker->nr >= mol->AtomCount)) {
-      eLog() << Verbose(0) << "Index of atom " << *Walker << " is invalid!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Index of atom " << *Walker << " is invalid!" << endl);
       performCriticalExit();
     }
@@ -852,5 +852,5 @@
       molecules[FragmentCounter-1]->AddAtom(Walker);    // counting starts at 1
     } else {
-      eLog() << Verbose(0) << "Atom " << *Walker << " not associated to molecule!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Atom " << *Walker << " not associated to molecule!" << endl);
       performCriticalExit();
     }
